> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/references/database-information-and-organization/user-input-delay.md).

# User input delay

Determining performance degradations based solely on standard system health metrics like CPU, memory, and disk input or output is a difficult task. For example, on virtual desktops, the standard metrics do not often correlate with perceived performance.

The Nexthink solution measures the responsiveness of a Windows session by monitoring the user input delay per session, a Windows performance counter. That counter measures how long any user input using a mouse or a keyboard waits before a process picks it. That value is available for local and remote sessions.

### Configuration <a href="#userinputdelay-configuration" id="userinputdelay-configuration"></a>

By default, Collector reports the user input delay values as part of the user activity metrics. You can stop monitoring that by disabling the user activity reporting. Find the procedure on the [Configuring Collector level anonymization](/platform/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/configuring-collector-level-anonymization.md) page.

### Supported operating systems <a href="#userinputdelay-supportedoperatingsystems" id="userinputdelay-supportedoperatingsystems"></a>

All supported Windows versions:

* Windows 11
* Windows Server 2022

### NQL example <a href="#userinputdelay-nqlexample" id="userinputdelay-nqlexample"></a>

```
devices during past 24h
| with session.events
| compute
    medium_ratio = duration_with_medium_user_input_delay.sum()/user_interaction_time.sum(),
    high_ratio = duration_with_high_user_input_delay.sum() / user_interaction_time.sum()
| where medium_ratio > 0.10 or high_ratio > 0.05
| list device.name, medium_ratio, high_ratio
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/references/database-information-and-organization/user-input-delay.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
